Bug 244888 - security/acmetool: update to 0.2.1 -> fix ACMEv2
Summary: security/acmetool: update to 0.2.1 -> fix ACMEv2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Oleksii Samorukov
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-18 15:36 UTC by kiwi
Modified: 2020-05-03 10:59 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (samm)


Attachments
patch to upgrade to 0.2.1 (7.43 KB, patch)
2020-03-18 15:36 UTC, kiwi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kiwi 2020-03-18 15:36:44 UTC
Created attachment 212498 [details]
patch to upgrade to 0.2.1

Hello,
The current acmetool does only ACMEv1. Which will be deprecated on june 2020.

This patch update the port to 0.2.1 that supports ACME v2.

Regards
Comment 1 Automation User 2020-04-02 00:08:43 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/132010026
Comment 2 Oleksii Samorukov freebsd_committer 2020-05-03 10:02:58 UTC
Thank you for PR. Applying with some changes, see https://reviews.freebsd.org/D22022
Comment 3 Oleksii Samorukov freebsd_committer 2020-05-03 10:59:16 UTC
Fixed in r533767, thank you!